Package it.ernytech.tdlib

## Class TdApi.CloseChat

- java.lang.Object
- - it.ernytech.tdlib.TdApi.Object
  - - it.ernytech.tdlib.TdApi.Function
    - - it.ernytech.tdlib.TdApi.CloseChat

Enclosing class:
  TdApi

    public static class TdApi.CloseChat
    extends TdApi.Function

This method should be called if the chat is closed by the user. Many useful activities depend on the chat being opened or closed.

Returns `Ok`

### Field Summary

Fields
`long` `chatId` Chat identifier.
`static int` `CONSTRUCTOR` Identifier uniquely determining type of the object.

### Constructor Summary

Constructors
`CloseChat()` Default constructor.
`CloseChat​(long chatId)` Constructor for initialization of all fields.

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getConstructor()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class it.ernytech.tdlib.TdApi.Function

`toString`

### Field Detail

#### chatId

    public long chatId

Chat identifier.

#### CONSTRUCTOR

    public static final int CONSTRUCTOR

Identifier uniquely determining type of the object.

See Also:
  Constant Field Values

### Constructor Detail

#### CloseChat

    public CloseChat()

Default constructor.

#### CloseChat

    public CloseChat​(long chatId)

Constructor for initialization of all fields.

Parameters:
  `chatId` - Chat identifier.

### Method Detail

#### getConstructor

    public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR